## r-cran-themis 0.1.4

=== DESCRIPTION ===
Package: themis
Title: Extra Recipes Steps for Dealing with Unbalanced Data
Version: 0.1.4
Authors@R: 
    person(given = "Emil",
           family = "Hvitfeldt",
           role = c("aut", "cre"),
           email = "emilhhvitfeldt@gmail.com",
           comment = c(ORCID = "0000-0002-0679-1945"))
Description: A dataset with an uneven number of cases in each
    class is said to be unbalanced. Many models produce a subpar
    performance on unbalanced datasets. A dataset can be balanced by
    increasing the number of minority cases using SMOTE 2011
    <arXiv:1106.1813>, BorderlineSMOTE 2005 <doi:10.1007/11538059_91> and
    ADASYN 2008 <https://ieeexplore.ieee.org/document/4633969>. Or by
    decreasing the number of majority cases using NearMiss 2003
    <https://www.site.uottawa.ca/~nat/Workshop2003/jzhang.pdf> or Tomek
    link removal 1976 <https://ieeexplore.ieee.org/document/4309452>.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/themis,
        https://themis.tidymodels.org
BugReports: https://github.com/tidymodels/themis/issues
Depends: R (>= 2.10), recipes (>= 0.1.15)
Imports: dplyr, generics (>= 0.1.0), purrr, RANN, rlang, ROSE, tibble,
        unbalanced, withr
Suggests: covr, ggplot2, modeldata, testthat (>= 2.1.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9001
NeedsCompilation: no
Packaged: 2021-06-12 20:59:07 UTC; emilhvitfeldthansen
Author: Emil Hvitfeldt [aut, cre] (<https://orcid.org/0000-0002-0679-1945>)
Maintainer: Emil Hvitfeldt <emilhhvitfeldt@gmail.com>
Repository: CRAN
Date/Publication: 2021-06-12 21:20:02 UTC

=== debian/changelog ===
r-cran-themis (0.1.4-2) unstable; urgency=medium

  * Packaging update
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 16:24:06 +0200

r-cran-themis (0.1.4-1) unstable; urgency=medium

  * Initial release (closes: #995314)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:20:05 +0200

=== debian/control ===
Source: r-cran-themis
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-recipes (>= 0.1.15),
               r-cran-dplyr,
               r-cran-generics (>= 0.1.0),
               r-cran-purrr,
               r-cran-rann,
               r-cran-rlang,
               r-cran-rose,
               r-cran-tibble,
               r-cran-unbalanced,
               r-cran-withr
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
Homepage: https://cran.r-project.org/package=themis
Rules-Requires-Root: no

Package: r-cran-themis
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extra recipes steps for dealing with unbalanced data
 A dataset with an uneven number of cases in each
 class is said to be unbalanced. Many models produce a subpar
 performance on unbalanced datasets. A dataset can be balanced by
 increasing the number of minority cases using SMOTE 2011
 <arXiv:1106.1813>, BorderlineSMOTE 2005 <doi:10.1007/11538059_91> and
 ADASYN 2008 <https://ieeexplore.ieee.org/document/4633969>. Or by
 decreasing the number of majority cases using NearMiss 2003
 <https://www.site.uottawa.ca/~nat/Workshop2003/jzhang.pdf> or Tomek
 link removal 1976 <https://ieeexplore.ieee.org/document/4309452>.

## r-cran-themis 1.0.0

=== DESCRIPTION ===
Package: themis
Title: Extra Recipes Steps for Dealing with Unbalanced Data
Version: 1.0.0
Authors@R: 
    person("Emil", "Hvitfeldt", , "emilhhvitfeldt@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0679-1945"))
Description: A dataset with an uneven number of cases in each class is
    said to be unbalanced. Many models produce a subpar performance on
    unbalanced datasets. A dataset can be balanced by increasing the
    number of minority cases using SMOTE 2011 <arXiv:1106.1813>,
    BorderlineSMOTE 2005 <doi:10.1007/11538059_91> and ADASYN 2008
    <https://ieeexplore.ieee.org/document/4633969>. Or by decreasing the
    number of majority cases using NearMiss 2003
    <https://www.site.uottawa.ca/~nat/Workshop2003/jzhang.pdf> or Tomek
    link removal 1976 <https://ieeexplore.ieee.org/document/4309452>.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/themis,
        https://themis.tidymodels.org, https://themis.tidymodels.org/
BugReports: https://github.com/tidymodels/themis/issues
Depends: R (>= 3.4), recipes (>= 1.0.0)
Imports: gower, lifecycle, dplyr, generics (>= 0.1.0), purrr, RANN,
        rlang, ROSE, tibble, withr, glue, hardhat
Suggests: covr, ggplot2, modeldata, testthat (>= 3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.0.9000
NeedsCompilation: no
Packaged: 2022-07-02 00:07:01 UTC; emilhvitfeldt
Author: Emil Hvitfeldt [aut, cre] (<https://orcid.org/0000-0002-0679-1945>)
Maintainer: Emil Hvitfeldt <emilhhvitfeldt@gmail.com>
Repository: CRAN
Date/Publication: 2022-07-02 06:40:02 UTC

=== debian/changelog ===
r-cran-themis (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 12:29:12 +0200

r-cran-themis (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 13:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: r-cran-themis
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
+Homepage: https://cran.r-project.org/package=themis
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-recipes (>= 0.1.15),
+               r-cran-recipes (>= 1.0.0),
+               r-cran-gower,
+               r-cran-lifecycle,
                r-cran-dplyr,
                r-cran-generics (>= 0.1.0),
                r-cran-purrr,
@@ -15,13 +21,10 @@
                r-cran-rlang,
                r-cran-rose,
                r-cran-tibble,
-               r-cran-unbalanced,
-               r-cran-withr
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
-Homepage: https://cran.r-project.org/package=themis
-Rules-Requires-Root: no
+               r-cran-withr,
+               r-cran-glue,
+               r-cran-hardhat
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-themis
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-modeldata
Restrictions: allow-stderr

## r-cran-themis 1.0.2

=== DESCRIPTION ===
Package: themis
Title: Extra Recipes Steps for Dealing with Unbalanced Data
Version: 1.0.2
Authors@R: c(
    person("Emil", "Hvitfeldt", , "emil.hvitfeldt@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0679-1945")),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: A dataset with an uneven number of cases in each class is
    said to be unbalanced. Many models produce a subpar performance on
    unbalanced datasets. A dataset can be balanced by increasing the
    number of minority cases using SMOTE 2011 <arXiv:1106.1813>,
    BorderlineSMOTE 2005 <doi:10.1007/11538059_91> and ADASYN 2008
    <https://ieeexplore.ieee.org/document/4633969>. Or by decreasing the
    number of majority cases using NearMiss 2003
    <https://www.site.uottawa.ca/~nat/Workshop2003/jzhang.pdf> or Tomek
    link removal 1976 <https://ieeexplore.ieee.org/document/4309452>.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/themis,
        https://themis.tidymodels.org
BugReports: https://github.com/tidymodels/themis/issues
Depends: R (>= 3.6), recipes (>= 1.0.4)
Imports: gower, lifecycle (>= 1.0.3), dplyr, generics (>= 0.1.0),
        purrr, RANN, rlang, ROSE, tibble, withr, glue, hardhat, vctrs
Suggests: covr, dials (>= 1.2.0), ggplot2, modeldata, testthat (>=
        3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-14 20:33:41 UTC; emilhvitfeldt
Author: Emil Hvitfeldt [aut, cre] (<https://orcid.org/0000-0002-0679-1945>),
  Posit Software, PBC [cph, fnd]
Maintainer: Emil Hvitfeldt <emil.hvitfeldt@posit.co>
Repository: CRAN
Date/Publication: 2023-08-14 21:40:02 UTC

=== debian/changelog ===
r-cran-themis (1.0.2-2) unstable; urgency=medium

  * Test-Depands: r-cran-dials

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2023 12:20:10 +0200

r-cran-themis (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2023 11:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: r-cran-themis
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
-Homepage: https://cran.r-project.org/package=themis
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-recipes (>= 1.0.0),
+               r-cran-recipes (>= 1.0.4),
                r-cran-gower,
-               r-cran-lifecycle,
+               r-cran-lifecycle (>= 1.0.3),
                r-cran-dplyr,
-               r-cran-generics (>= 0.1.0),
+               r-cran-generics,
                r-cran-purrr,
                r-cran-rann,
                r-cran-rlang,
@@ -23,8 +19,13 @@
                r-cran-tibble,
                r-cran-withr,
                r-cran-glue,
-               r-cran-hardhat
-Testsuite: autopkgtest-pkg-r
+               r-cran-hardhat,
+               r-cran-vctrs
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
+Homepage: https://cran.r-project.org/package=themis
+Rules-Requires-Root: no
 
 Package: r-cran-themis
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/themis_([-\d.]*)\.tar\.gz

## r-cran-themis 1.0.3

=== DESCRIPTION ===
Package: themis
Title: Extra Recipes Steps for Dealing with Unbalanced Data
Version: 1.0.3
Authors@R: c(
    person("Emil", "Hvitfeldt", , "emil.hvitfeldt@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0679-1945")),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: A dataset with an uneven number of cases in each class is
    said to be unbalanced. Many models produce a subpar performance on
    unbalanced datasets. A dataset can be balanced by increasing the
    number of minority cases using SMOTE 2011 <doi:10.48550/arXiv.1106.1813>,
    BorderlineSMOTE 2005 <doi:10.1007/11538059_91> and ADASYN 2008
    <https://ieeexplore.ieee.org/document/4633969>. Or by decreasing the
    number of majority cases using NearMiss 2003
    <https://www.site.uottawa.ca/~nat/Workshop2003/jzhang.pdf> or Tomek
    link removal 1976 <https://ieeexplore.ieee.org/document/4309452>.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/themis,
        https://themis.tidymodels.org
BugReports: https://github.com/tidymodels/themis/issues
Depends: R (>= 3.6), recipes (>= 1.1.0)
Imports: cli, gower, lifecycle (>= 1.0.3), dplyr, generics (>= 0.1.0),
        purrr, RANN, rlang (>= 1.1.0), ROSE, tibble, withr, glue,
        hardhat, vctrs
Suggests: covr, dials (>= 1.2.0), ggplot2, modeldata, testthat (>=
        3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-01-22 23:40:53 UTC; emilhvitfeldt
Author: Emil Hvitfeldt [aut, cre] (<https://orcid.org/0000-0002-0679-1945>),
  Posit Software, PBC [cph, fnd]
Maintainer: Emil Hvitfeldt <emil.hvitfeldt@posit.co>
Repository: CRAN
Date/Publication: 2025-01-23 00:10:02 UTC

=== debian/changelog ===
r-cran-themis (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 11:08:08 +0900

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-recipes (>= 1.0.4),
+               r-cran-recipes (>= 1.1.0),
+               r-cran-cli,
                r-cran-gower,
                r-cran-lifecycle (>= 1.0.3),
                r-cran-dplyr,
                r-cran-generics,
                r-cran-purrr,
                r-cran-rann,
-               r-cran-rlang,
+               r-cran-rlang (>= 1.1.0),
                r-cran-rose,
                r-cran-tibble,
                r-cran-withr,
                r-cran-glue,
                r-cran-hardhat,
                r-cran-vctrs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-themis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-themis.git
 Homepage: https://cran.r-project.org/package=themis

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-dials (>= 1.2.0),
        r-cran-ggplot2,
        r-cran-modeldata,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
